# Replacing tags

To update the tags in your slides, provide a list of key-value pairs for each slide. PowerPoint Generator API will then find and replace all matching tags with the specified values.

To create a tag, enclose your text in double curly braces, like this: `{{example_tag}}`.

Tags can be placed in text boxes or table shapes, making it easy to customize your presentation dynamically.

![](/files/-MjEhk0qXgsPferRbcBc)

{% file src="/files/-MjEgv3hpNUFkHMBUN5C" %}

```javascript
{
  "presentation": {
    "template": "slides_as_template_tagging.pptx",
    "export_version": "Pptx2010",
    "slides": [
      {
        "type": "slide", 
        "slide_index": 0,
        "shapes": [],
        "tags": [
          {
            "key": "client",
            "value": "Your favourite client"
          },
          {
            "key": "date",
            "value": "09/09/2021"
          }
        ]  
      },
      {
        "type": "slide",
        "slide_index": 1, 
        "shapes": [],
        "tags": [          
          {
            "key": "product",
            "value": "PowerPoint Generator API"
          },
          {
            "key": "adjective",
            "value": "frustrating"
          }
        ]
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.powerpointgeneratorapi.com/examples/slide/tagging.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
